Subject: Re: [MMUSIC] Feedback requested on requirements - DES F13

From: Christer Holmberg <[email-masked]>
Date: Wed, 17 Apr 2013 11:39:55 +0000

Hi,

>>    DES F13  It is desirable for RTP media to appear on the wire as
>>       (encrypted) SRTP packets and for RTCP reports to appear on the
>>       wire as (authenticated but not encrypted) SRTCP packets.  Thus,
>>       encryption of RTP/RTCP via DTLS and encapsulation of multiplexed
>>       packets is not desirable.
>
> I am not certain I understand the motivations for this requirement. Is the need to having unencrypted RTCP for 
> third party monitors? From a security point of view I see issues with such blanket statements. There can be information 
> in the RTCP that is sensitive for privacy reasons.
>
> For the last sentence are you really meaning DTLS or DTLS-SRTP. There is a big difference here.

I am not sure I understand why this is bundle specific.

If you are talking about a case where RTP and RTCP use the same 5-tuple, that is an rtcpmux (RFC 5761) issue.

Regards,

Christer